Package: org.codehaus.groovy.util

## [Java] Class ReferenceBundle

- org.codehaus.groovy.util.ReferenceBundle

-     public class ReferenceBundle
      extends Object

  Couples a ReferenceType with the ReferenceManager responsible for processing it.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReferenceBundle(ReferenceManager manager, ReferenceType type)` Creates a reference bundle for the supplied manager and reference type.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static ReferenceBundle` | `getHardBundle()` Returns the shared hard-reference bundle.
    `` | `public ReferenceManager` | `getManager()` Returns the manager associated with this bundle.
    `` | `public static ReferenceBundle` | `getPhantomBundle()` Returns the shared phantom-reference bundle.
    `` | `public static ReferenceBundle` | `getSoftBundle()` Returns the shared soft-reference bundle.
    `` | `public ReferenceType` | `getType()` Returns the reference kind represented by this bundle.
    `` | `public static ReferenceBundle` | `getWeakBundle()` Returns the shared weak-reference bundle.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ReferenceBundle(ReferenceManager manager, ReferenceType type)

      Creates a reference bundle for the supplied manager and reference type.

      Parameters:
        `manager` - the manager that processes collected references
        `type` - the reference kind to create

  - ### Method Detail

    - #### public static ReferenceBundle getHardBundle()

      Returns the shared hard-reference bundle.

      Returns:
        the shared hard-reference bundle

    - #### public ReferenceManager getManager()

      Returns the manager associated with this bundle.

      Returns:
        the reference manager

    - #### public static ReferenceBundle getPhantomBundle()

      Returns the shared phantom-reference bundle.

      Returns:
        the shared phantom-reference bundle

    - #### public static ReferenceBundle getSoftBundle()

      Returns the shared soft-reference bundle.

      Returns:
        the shared soft-reference bundle

    - #### public ReferenceType getType()

      Returns the reference kind represented by this bundle.

      Returns:
        the configured reference type

    - #### public static ReferenceBundle getWeakBundle()

      Returns the shared weak-reference bundle.

      Returns:
        the shared weak-reference bundle